hie-bios-0.12.0: Set up a GHC API session

Safe Haskell | Safe-Inferred
Language | Haskell2010

HIE.Bios.Ghc.Logger

Synopsis

- withLogger :: GhcMonad m => (DynFlags -> DynFlags) -> m () -> m (Either String String)

# Documentation

withLogger :: GhcMonad m => (DynFlags -> DynFlags) -> m () -> m (Either String String) #

Set the session flag (e.g. "-Wall" or "-w:") then executes a body. Log messages are returned as `String`. Right is success and Left is failure.